// DEFINES TECHNOBOX
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef TECHNOBOX_GSH
#define TECHNOBOX_GSH

#include "defaults.gsh"

////////////////////////////////////////////////////////////////////////////////////


// the intact box

hierarchy Hcy_Technobox
{
       file "objects\Technobox.rif"
       name "Technobox"
}


character Chr_technobox : Chr_Default
{
	strength        30	// initial strength points
	turning speed   0	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	weapon          plasmatrix
	aim             0	// how many degrees off target he can be at most
	sight angle	0	// in degrees
	sight range 	6	// in metres
	hearing range	0	// in metres
	aggression	0	// from 0 to 1
	radius		1	// used by the movement model
}

role Rol_Technobox : Rol_PlacedObject
{
	character 	Chr_technobox
	shape			Hcy_Technobox
	identifier		"technobox"
	destructibility	Des_Explode
	armour			0
	ai				blocker
}

character Chr_technoboxhard : Chr_Default
{
	strength        100	// initial strength points
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon          plasmatrix
	aim             0	// how many degrees off target he can be at most
	sight angle	0	// in degrees
	sight range 	0	// in metres
	hearing range	0	// in metres
	aggression	0	// from 0 to 1
	radius		1	// used by the movement model
}

character Chr_Technoboxshield : Chr_Default
{
	strength        100	// initial strength points
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon          plasmatrix
	aim             0	// how many degrees off target he can be at most
	sight angle	0	// in degrees
	sight range 	0	// in metres
	hearing range	0	// in metres
	aggression	0	// from 0 to 1
	radius		1	// used by the movement model
}

role Rol_Technoboxshield : Rol_PlacedObject
{
	character 	Chr_Technoboxshield
	shape			Hcy_Technobox
	identifier		"technoboxshield"
	destructibility	Des_Explode
	armour			100
	ai				blocker
}

role Rol_Technoboxhard : Rol_PlacedObject
{
	character 	Chr_technoboxhard
	shape			Hcy_Technobox
	identifier		"technoboxhard"
	destructibility	Des_Explode
	armour			3
	ai				blocker
}
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_TECHNOBOX_GSH